Importa prenotazioni
curl --request POST \
--url https://app.gestionesala.com/api/v1/imports/reservations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceDate": "2023-12-25",
"time": "<string>",
"partySize": 250,
"phone": "<string>",
"guestName": "<string>",
"notes": "<string>",
"externalRef": "<string>",
"channel": "<string>",
"durationMinutes": 720
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rows: [
{
venueId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
serviceDate: '2023-12-25',
time: '<string>',
partySize: 250,
phone: '<string>',
guestName: '<string>',
notes: '<string>',
externalRef: '<string>',
channel: '<string>',
durationMinutes: 720
}
]
})
};
fetch('https://app.gestionesala.com/api/v1/imports/reservations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gestionesala.com/api/v1/imports/reservations"
payload = { "rows": [
{
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceDate": "2023-12-25",
"time": "<string>",
"partySize": 250,
"phone": "<string>",
"guestName": "<string>",
"notes": "<string>",
"externalRef": "<string>",
"channel": "<string>",
"durationMinutes": 720
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"import": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "guests",
"status": "processing",
"totalRows": 123,
"createdRows": 123,
"updatedRows": 123,
"rejectedRows": 123,
"rejections": [
{
"row": 123,
"code": "<string>",
"message": "<string>",
"fields": [
"<string>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"import": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "guests",
"status": "processing",
"totalRows": 123,
"createdRows": 123,
"updatedRows": 123,
"rejectedRows": 123,
"rejections": [
{
"row": 123,
"code": "<string>",
"message": "<string>",
"fields": [
"<string>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}Import
Importa prenotazioni
Scope: imports:write. Fino a 1000 righe per richiesta, passate e future. Origine import. Il passato entra nel suo stato finale, senza controllo di disponibilità e senza tavolo; il futuro passa dal motore come ogni prenotazione. Nessuna automazione e nessun webhook partono.
POST
/
imports
/
reservations
Importa prenotazioni
curl --request POST \
--url https://app.gestionesala.com/api/v1/imports/reservations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceDate": "2023-12-25",
"time": "<string>",
"partySize": 250,
"phone": "<string>",
"guestName": "<string>",
"notes": "<string>",
"externalRef": "<string>",
"channel": "<string>",
"durationMinutes": 720
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rows: [
{
venueId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
serviceDate: '2023-12-25',
time: '<string>',
partySize: 250,
phone: '<string>',
guestName: '<string>',
notes: '<string>',
externalRef: '<string>',
channel: '<string>',
durationMinutes: 720
}
]
})
};
fetch('https://app.gestionesala.com/api/v1/imports/reservations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gestionesala.com/api/v1/imports/reservations"
payload = { "rows": [
{
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceDate": "2023-12-25",
"time": "<string>",
"partySize": 250,
"phone": "<string>",
"guestName": "<string>",
"notes": "<string>",
"externalRef": "<string>",
"channel": "<string>",
"durationMinutes": 720
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"import": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "guests",
"status": "processing",
"totalRows": 123,
"createdRows": 123,
"updatedRows": 123,
"rejectedRows": 123,
"rejections": [
{
"row": 123,
"code": "<string>",
"message": "<string>",
"fields": [
"<string>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"import": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "guests",
"status": "processing",
"totalRows": 123,
"createdRows": 123,
"updatedRows": 123,
"rejectedRows": 123,
"rejections": [
{
"row": 123,
"code": "<string>",
"message": "<string>",
"fields": [
"<string>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Intestazioni
La stessa chiave ripetuta ritrova la risorsa invece di crearne un'altra
Corpo
application/json
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Risposta
Ritrovato con la stessa Idempotency-Key
Show child attributes
Show child attributes

